ferret-vis (7.6.0-6ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:39 +1100

ferret-vis (7.6.0-6ubuntu2) noble; urgency=high

  * No change rebuild against libnetcdf19t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:01:22 +0100

ferret-vis (7.6.0-6ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable, remaining change:
    - Build without lto. lto-disabled-list can't be used (d/rules), because
      dpkg-buildflags is called after changing the package base directory.

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 08 Aug 2023 10:58:39 +0000

ferret-vis (7.6.0-6) unstable; urgency=medium

  * Add gfortran-13 support. Closes: #1037651
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Jul 2023 06:59:52 +0100

ferret-vis (7.6.0-5ubuntu2) kinetic; urgency=medium

  * No-change rebuild against netcdf-fortran 4.6.0+really4.5.4

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 11 Sep 2022 20:11:18 +0000

ferret-vis (7.6.0-5ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1986565), remaining change:
    - Build without lto. lto-disabled-list can't be used (d/rules), because
      dpkg-buildflags is called after changing the package base directory.

 -- Frank Heimes <fheimes@ubuntu.com>  Mon, 15 Aug 2022 19:39:57 +0000

ferret-vis (7.6.0-5) unstable; urgency=medium

  * Add platform file for gfortran-12. Closes: #1012924
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Jul 2022 09:24:58 +0100

ferret-vis (7.6.0-4ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Build without lto. lto-disabled-list can't be used, because
      dpkg-buildflags is called after changing the package base directory.

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 23 Nov 2021 12:49:04 +0000

ferret-vis (7.6.0-4) unstable; urgency=medium

  * Add platform file for  gfortran-11. Closes: #984126

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Oct 2021 13:18:31 +0100

ferret-vis (7.6.0-3) unstable; urgency=medium

  * Fix Vcs-Git branch to debian/latest. 
  * Standards-Version: 4.6.0
  * Update d/watch file to handle beta tags

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 27 Sep 2021 08:11:05 +0100

ferret-vis (7.6.0-2ubuntu2) jammy; urgency=medium

  * No-change rebuild against libnetcdf19

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 Oct 2021 10:38:45 +0000

ferret-vis (7.6.0-2ubuntu1) hirsute; urgency=medium

  * Build without lto. lto-disabled-list can't be used, because dpkg-buildflags
    is called after changing the package base directory.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Apr 2021 14:38:14 +0200

ferret-vis (7.6.0-2) unstable; urgency=medium

  * Switch to using libeditreadline-dev for legal reasons.
    Closes: #979092
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Jan 2021 15:49:28 +0000

ferret-vis (7.6.0-1) unstable; urgency=medium

  * New upstream release
  * Use debhelper-compat =13
  * Point VCS-Git to debian/latest branch
  * Add d/bp.conf pointing to DEP-14 branch names
  * Add d/not-installed ; ship font .chr files

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Sep 2020 09:28:48 +0100

ferret-vis (7.6.0~beta-2) unstable; urgency=medium

  * FER_GO env. variable expects spaces, not colons as separators.
    Patch from Malte zu Klampen to fix. Closes: #960592

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Jun 2020 18:37:34 +0100

ferret-vis (7.6.0~beta-1) unstable; urgency=medium

  * New upstream release
  * Use debhelper-compat (= 12)
  * Standards-Version: 4.5.0
  * Allow -fallow-argument-mismatch when using gfortran-10
  * gcc10.patch from pyferret for BOZ changes. Closes: #957203
  * xgks.patch: Link against libxgks-$(FC) 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 May 2020 16:44:13 +0100

ferret-vis (7.5.0-2) unstable; urgency=medium

  * override dh_dwz for now as it causes issues on mips builds
  * Standards-Version: 4.4.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Jul 2019 15:09:39 +0100

ferret-vis (7.5.0-1) unstable; urgency=medium

  * New upstream release
  * B-D on gfortran | fortran-compiler
  * Ship gfortran, flang versions of config files
  * Drop recommends: on python-ferret
  * Now use debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Feb 2019 15:51:24 +0000

ferret-vis (7.4.4-2) unstable; urgency=medium

  * Standards_Version: 4.3.0
  * Update homepage to https://ferret.pmel.noaa.gov/Ferret/home

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jan 2019 10:35:09 +0000

ferret-vis (7.4.4-1) unstable; urgency=medium

  * New upstream release
  * Don't hard-code xz compression

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Dec 2018 09:04:49 +0000

ferret-vis (7.4.3-1) unstable; urgency=medium

  * New upstream release
  * Move Standards-Version to 4.2.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Sep 2018 19:14:43 +0100

ferret-vis (7.4.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.5
  * typo: override_dh_test -> override_auto_dh_test

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Jul 2018 10:50:21 +0100

ferret-vis (7.4-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete patches:
    - xpm.patch
    - fix-makefile.patch
  * Drop build-dep on libxpm-dev
  * Standards-Version: 4.1.4
  * Ensure ferret-vis depends on dh-elpa

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Apr 2018 09:25:30 +0100

ferret-vis (7.3-2) unstable; urgency=medium

  * Drop broken dependency on threddsBrowser. Closes: #890549

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Feb 2018 07:07:42 +0000

ferret-vis (7.3-1) unstable; urgency=medium

  * New upstream release
  * No longer build threddsBrowser
    Closes: #879019
  * Move VCS to salsa.debian.org
  * Add watch file
  * Standards-Version now 4.1.3
  * Label ferret-datasets as Multi-Arch: foreign 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Feb 2018 13:03:48 +0000

ferret-vis (7.2-1) unstable; urgency=medium

  * New upstream release
  * Split threddsBroswer into thredds-broswer-java package
  * Standards-Version: 4.1.1; no changes required
  * Change priority from extra to optional
  * Add build-depends on dh-elpa, --with elpa

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Oct 2017 08:36:37 +0100

ferret-vis (7.1-1) unstable; urgency=medium

  * New upstream release
  * Ship palettes, which have moved from datasets/. Thanks to Marco van Hulten
    for bug report
  * Silence warning in ferret.el install 'ln -s' -> 'ln -sf'
  * ferret_paths was accidentally created as a directory by install script
  * Standards-Version: 4.0.0; no changes required
  * DH_COMPAT=10

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Jun 2017 10:58:44 +0100

ferret-vis (7.0-2) unstable; urgency=medium

  * Add desktop file, pixmap to applications, pixmaps dirs

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Dec 2016 09:51:01 +0000

ferret-vis (7.0-1) unstable; urgency=medium

  * New upstream release
  * ferret-vis recommends python-ferret, python3-ferret

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Aug 2016 03:13:14 +0100

ferret-vis (6.9.6-2) unstable; urgency=medium

  * Use default-java rather than hard-coded path. CLoses: #832292

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Jul 2016 01:41:57 +0100

ferret-vis (6.9.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 3.9.8. No changes required.
  * Set LC_ALL=C for reproducibility
  * Depend on xgks >= 2.6.1-4 as this now includes some fixes from ferret
    6.9.6

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2016 20:33:41 +0100

ferret-vis (6.9.3-4) unstable; urgency=medium

  * Move to openjdk-8-jdk.
  * Fix FTBFS on binary-only build. Closes: #806024

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Nov 2015 19:53:21 +0000

ferret-vis (6.9.3-3) unstable; urgency=medium

  * Acknowledge NMUs, thanks.
  * Change Vcs-Git to anonscm.d.o form.
  * Patch for reproducible builds from Chris Lamb. Closes: #797579. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Sep 2015 06:03:33 +0100

ferret-vis (6.9.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop trailing comma from description synopsis. (closes: #720106)
  * Drop unused libmotif-dev build dependency. (closes: #714752)
  * Move from experimental to unstable for netcdf transition.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Aug 2015 15:36:45 +0200

ferret-vis (6.9.3-2~exp1) experimental; urgency=medium

  * Build against libnetcdff-dev for netcdf transition.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Jun 2015 16:38:52 +0100

ferret-vis (6.9.3-1) unstable; urgency=medium

  * New upstream release
  * Add Vcs-Git: to debian/control, debian-science repo.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jun 2015 07:44:11 +0100

ferret-vis (6.9-2) unstable; urgency=medium

  * Fix emacs startup support and ferret.el
  * Fix bashisms. Closes: #772256

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Dec 2014 11:05:34 +0000

ferret-vis (6.9-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6
  * DH_COMPAT is now 9.
  * Add B-D, dependency on java-common for LAS server; install
    threddsBrowser jar files for thredds later.
  * Add ferret.el ; emcacsen startup
  * Add MIME support for jnl files.
  * Add hardening.
  * Add desktop file, icon.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Sep 2014 10:59:10 +0100

ferret-vis (6.6.2-3) unstable; urgency=low

  * Build-Depend on libmotif-dev, not lesstif2-dev.
    Closes: #714752, #7146755. 
  * clear lintian warning: call make clean conditionally.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jul 2013 22:54:10 +0100

ferret-vis (6.6.2-2) unstable; urgency=low

  * Add explicit dependency on libxt-dev, for openmotif. Closes: #707211. 
  * Move debhelper depends to (>= 9), Standards-Version to 3.9.4
  * Add depends on misc-depends for ferret-datasets.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 May 2013 10:32:50 +0100

ferret-vis (6.6.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Avoid building against gfortran-4.5, since #631204 is now fixed.
    (Closes: #654735)
    + debian/control: Drop Build-Depends on gfortran-4.5.
    + debian/README.Debian: Remove.
    + debian/platform_specific_flags.mk.debian: Set FC and F77 to gfortran.

 -- Tim Retout <diocles@debian.org>  Tue, 05 Jun 2012 15:51:54 +0100

ferret-vis (6.6.2-1) unstable; urgency=low

  * Initial release. (Closes: #587422)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Jun 2010 20:42:17 +

